> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a record comment

> Add a new comment to a table record.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/records/{record_id}/comments
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/records/{record_id}/comments:
    post:
      tags:
        - Orgs Records
      summary: Create a record comment
      description: Add a new comment to a table record.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Record ID
          name: record_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTableRecordCommentSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateTableRecordCommentSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableRecordCommentSchema'
components:
  schemas:
    CreateTableRecordCommentSchema:
      type: object
      properties:
        comment:
          type: string
          maxLength: 2048
          description: The content of the comment (max 2048 characters)
        attachments:
          type: array
          items:
            type: string
            maxLength: 128
          maxItems: 20
          description: Array of file IDs to attach to the comment
      description: Schema for creating a table record comment
    TableRecordCommentSchema:
      type: object
      properties:
        id:
          type: string
        actor:
          allOf:
            - $ref: '#/components/schemas/UserLimitedSchema'
            - description: User who posted the comment
        record_id:
          type: string
        comment:
          type:
            - string
            - 'null'
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/FileSchema'
          description: Files attached to the comment
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - record_id
        - comment
        - attachments
        - created_at
        - updated_at
      description: Schema for a table record comment
    UserLimitedSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        email:
          type: string
          format: email
        avatar:
          type:
            - string
            - 'null'
        seen_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - email
        - avatar
        - seen_at
      description: The assigned user for the conversation
    FileSchema:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the file
        file_path:
          type: string
          maxLength: 2048
          description: Path to the file in the storage system
        file_filename:
          type: string
          maxLength: 255
          description: Name of the file
          example: document.pdf
        file_size:
          type: number
          description: Size of the file in bytes
          example: 1024
        file_mimetype:
          type: string
          maxLength: 255
          description: MIME type of the file
          example: application/pdf
        file_url:
          type: string
          maxLength: 2048
          description: URL to access the file
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp when the file was created
      required:
        - id
        - file_path
        - file_filename
        - file_size
        - file_mimetype
        - file_url
        - created_at
      description: Detailed information about a file
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````